View Issue Details

IDCategoryLast Update
0000047features2003-12-12 15:10
ReporteressejAssigned Toessej 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000047: non power of 2 zooming
DescriptionImplement support for zooming the editor window to arbitrary zoom scales.
TagsNo tags attached.

Activities

taybin

2003-10-16 14:34

administrator   ~0000022

Last edited: 2003-10-16 14:37

From Jesse:

Finally, I got the arbitrary zooming working pretty nicely.
 
  * can now zoom at an arbitrary scale, with the zoom mouse mode,
    or with the new Zoom Span time duration control box. This
    was a real pain to avoid a jiggling waveform on front trimming,
    that's what took so long. You might see little bits of it sometimes.
 
  * added buttons for zoom in/out and zoom to session, and zoom
    1:1.
 
  * redid all the button pixmaps so they will work on other background
    colors in the case of future custom themes. Just gave them
    a 1 pixel border.
 
  * aligned and tightened the toolbar
 
  * changed most buttons to use the clicked signal (except the
    freaky play and record).
 
  * gtk/ardour: 0.402.0 libardour: 0.691.0
 
 Note:
    All the time boxes are pretty messed up, the only way I can use them is
    to use Shift-mousewheel, or click then type in a number followed
    by enter. I will add a bug to mantis describing their problems.

edited on: 10-16-03 07:37

essej

2003-10-16 14:34

manager   ~0000023

Got it working and committed. Trickier than it should have been. Front trimming without jiggling waveforms is hard :) Samplitude can't do it, but ardour can!

Issue History

Date Modified Username Field Change
2003-10-14 14:44 essej New Issue
2003-10-14 14:44 essej Status new => assigned
2003-10-14 14:44 essej Assigned To => essej
2003-10-16 14:34 taybin Note Added: 0000022
2003-10-16 14:34 essej Status assigned => resolved
2003-10-16 14:34 essej Resolution open => fixed
2003-10-16 14:34 essej Note Added: 0000023
2003-10-16 14:37 taybin Status resolved => feedback
2003-10-16 14:37 taybin Resolution fixed => reopened
2003-10-16 14:37 taybin Note Edited: 0000022
2003-10-16 14:38 taybin Status feedback => resolved
2003-10-16 14:38 taybin Resolution reopened => fixed
2003-10-16 14:38 taybin Assigned To essej => taybin
2003-10-16 14:38 essej Assigned To taybin => essej
2003-12-12 15:10 taybin Status resolved => closed